namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 考核周期类别(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrp)]
public class Ghrp_PerformancePeriodTypeController : BaseController<IGhrp_PerformancePeriodTypeServices, Ghrp_PerformancePeriodType, Ghrp_PerformancePeriodTypeDto, InsertGhrp_PerformancePeriodTypeInput, EditGhrp_PerformancePeriodTypeInput>
{
    public Ghrp_PerformancePeriodTypeController(IGhrp_PerformancePeriodTypeServices service) : base(service)
    {
    }
    #region  阶段
    /// <summary>
    /// 根据阶段数 获取对应阶段名称
    /// </summary>
    /// <param name="Stage">阶段</param>
    /// <returns></returns>
    [HttpPost, Route("GetStageItems/{Stage}")]
    public async Task<ServiceResult<List<string>>> GetStageItems(string Stage) => await _service.GetStageItems(Stage);
    #endregion
}